<?php
$widget->add_render_attribute( 'selected_icon', 'class' );
$has_icon = ! empty( $settings['selected_icon'] );
if ( $has_icon ) {
    $widget->add_render_attribute( 'i', 'class', $settings['selected_icon'] );
    $widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}

$widget->add_render_attribute( 'description_text', 'class', 'item--description h3-desc' );
$widget->add_inline_editing_attributes( 'title_text', 'none' );
$widget->add_inline_editing_attributes( 'description_text' );
$is_new = \Elementor\Icons_Manager::is_migration_allowed();
$html_id = ct_get_element_id($settings);
if ( ! empty( $settings['item_link']['url'] ) ) {
    $widget->add_render_attribute( 'button', 'href', $settings['item_link']['url'] );

    if ( $settings['item_link']['is_external'] ) {
        $widget->add_render_attribute( 'button', 'target', '_blank' );
    }

    if ( $settings['item_link']['nofollow'] ) {
        $widget->add_render_attribute( 'button', 'rel', 'nofollow' );
    }
}
?>
<div id="<?php echo esc_attr($html_id) ?>" class="ct-fancy-box ct-fancy-box-layout6 <?php echo esc_attr($settings['ct_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['ct_animate_delay']); ?>ms">
    <div class="ct-inline-css"  data-css="
        <?php if( !empty($settings['icon_color']) && !empty($settings['icon_color_gradient']) ) : ?>
            #<?php echo esc_attr($html_id) ?>.ct-fancy-box .item--icon:before, #<?php echo esc_attr($html_id) ?>.ct-fancy-box .item--icon i,
            #<?php echo esc_attr($html_id) ?>.ct-fancy-box .item--link:before, #<?php echo esc_attr($html_id) ?>.ct-fancy-box .item--link i {
                background-image: -webkit-linear-gradient(135deg, <?php echo esc_attr($settings['icon_color']); ?>, <?php echo esc_attr($settings['icon_color_gradient']); ?>)!important;
                background-image: -moz-linear-gradient(135deg, <?php echo esc_attr($settings['icon_color']); ?>, <?php echo esc_attr($settings['icon_color_gradient']); ?>)!important;
                background-image: -ms-linear-gradient(135deg, <?php echo esc_attr($settings['icon_color']); ?>, <?php echo esc_attr($settings['icon_color_gradient']); ?>)!important;
                background-image: -o-linear-gradient(135deg, <?php echo esc_attr($settings['icon_color']); ?>, <?php echo esc_attr($settings['icon_color_gradient']); ?>)!important;
                background-image: linear-gradient(135deg, <?php echo esc_attr($settings['icon_color']); ?>, <?php echo esc_attr($settings['icon_color_gradient']); ?>)!important;
                filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='<?php echo esc_attr($settings['icon_color']); ?>', endColorStr='<?php echo esc_attr($settings['icon_color_gradient']); ?>')!important;
                background-color: transparent !important;
            }
            #<?php echo esc_attr($html_id) ?>.ct-fancy-box .item--inner:hover .item--icon i, #<?php echo esc_attr($html_id) ?>.ct-fancy-box .item--inner:hover .item--link i {
                background-image: -webkit-linear-gradient(135deg, #fff, #fff)!important;
                background-image: -moz-linear-gradient(135deg, #fff>, #fff)!important;
                background-image: -ms-linear-gradient(135deg, #fff, #fff)!important;
                background-image: -o-linear-gradient(135deg, #fff, #fff)!important;
                background-image: linear-gradient(135deg, #fff, #fff)!important;
                background-color: transparent !important;
            }
            #<?php echo esc_attr($html_id) ?>.ct-fancy-box-layout4:hover::before {
                box-shadow: 0 20px 60px <?php echo grupi_hex_to_rgba( $settings['icon_color'], 0.25 ) ?>;
                -webkit-box-shadow: 0 20px 60px <?php echo grupi_hex_to_rgba( $settings['icon_color'], 0.25 ) ?>;
            }
        <?php endif; ?>">
    </div>
    <div class="item--inner">
        <div class="item--number"><?php echo esc_attr($settings['item_number']); ?></div>
        <?php if ( $settings['icon_type'] == 'icon' && $has_icon ) : ?>
            <div class="item--icon box-overlay-gradient">
                <?php if($is_new):
                    \Elementor\Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true' ] );
                    else: ?>
                    <i <?php ct_print_html($widget->get_render_attribute_string( 'i' )); ?>></i>
                <?php endif; ?>
            </div>
        <?php endif; ?>
        <?php if ( $settings['icon_type'] == 'image' && !empty($settings['icon_image']['id']) ) : ?>
            <div class="item--icon box-overlay-gradient">
                <?php $img_icon  = ct_get_image_by_size( array(
                        'attach_id'  => $settings['icon_image']['id'],
                        'thumb_size' => 'full',
                    ) );
                    $thumbnail_icon    = $img_icon['thumbnail'];
                echo ct_print_html($thumbnail_icon); ?>
            </div>
        <?php endif; ?>
        <div class="item--meta">
            <h4 class="item--title h3-title">
                <?php echo ct_print_html($settings['title_text']); ?>
            </h4>
            <div <?php ct_print_html($widget->get_render_attribute_string( 'description_text' )); ?>><?php echo ct_print_html($settings['description_text']); ?></div>
        </div>
        <?php if ( ! empty( $settings['item_link']['url'] ) ) { ?><a class="item--link box-overlay-gradient" <?php ct_print_html($widget->get_render_attribute_string( 'button' )); ?>><i class="caseicon-double-chevron-right"></i></a><?php } ?>
    </div>
</div>